[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ExtCtrls' (#lcl)

# TCustomImage.Canvas

Canvas used to draw the image.

## Declaration

Source position: extctrls.pp line 574

`public property TCustomImage.Canvas : TCanvas read GetCanvas;`

## Description

TCustomImage re-implements the read access specifier for the property to ensure that a drawing surface is available in Picture. When not assigned, a temporary TBitmap instance is created and used as the image class in the Picture property. The Canvas for the bitmap is used as the property value. If the TCanvas has already been assigned, the inherited Canvas property (from TGraphicControl) is used.

## See also

TCustomImage.Picture |  | Contains the image displayed in the control.
TPicture |  | Implements a container for TGraphic and descendent classes.
TGraphicControl.Canvas |  | A clipped window into the parent Canvas.